Update an agent session
curl --request PATCH \
--url https://api.getmembrane.com/agent/sessions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lastActivityAt": "<string>",
"title": "<string>",
"summary": "<string>",
"opencodeSessionUuid": "<string>",
"output": {}
}
'import requests
url = "https://api.getmembrane.com/agent/sessions/{id}"
payload = {
"lastActivityAt": "<string>",
"title": "<string>",
"summary": "<string>",
"opencodeSessionUuid": "<string>",
"output": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lastActivityAt: '<string>',
title: '<string>',
summary: '<string>',
opencodeSessionUuid: '<string>',
output: {}
})
};
fetch('https://api.getmembrane.com/agent/sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspaceId": "<string>",
"type": "<string>",
"status": "queued",
"prompt": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"hasWorker": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"tenantId": "<string>",
"orgWorkspaceId": "<string>",
"workspaceElementType": "customer",
"workspaceElementId": "<string>",
"error": {
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"title": "<string>",
"summary": "<string>",
"cost": 123,
"state": "busy",
"isExternal": true,
"agentName": "membrane",
"agentHarnessId": "<string>",
"agentHarnessSnapshotId": "<string>",
"output": {}
}Agent Sessions
Update an agent session
PATCH
/
agent
/
sessions
/
{id}
Update an agent session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
busy, idle Last meaningful session progress timestamp used for inactivity timeout checks.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
queued, starting, running, completed, failed, cancelled Response
200 - application/json
Available options:
queued, starting, running, completed, failed, cancelled Last meaningful session progress timestamp used for inactivity timeout checks.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
customer, app, connector, integration, flow, flow-instance, flow-run, action, package, action-instance, connection, field-mapping, field-mapping-instance, data-source, data-source-instance, data-link-table, data-link-table-instance, app-event-type, app-event-subscription, app-event-log-record, app-data-schema, app-data-schema-instance, external-event-subscription, external-event-log-record, external-event-pull, external-event-type, screen, action-run-log-record, external-api-log-record, incoming-webhook-log-record, connected-product Show child attributes
Show child attributes
Available options:
busy, idle Available options:
membrane, membrane-core, self-integrating, connection-building, action-building, universe Show child attributes
Show child attributes
Was this page helpful?